dnl aclocal.m4 generated automatically by aclocal 1.4

dnl Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY, to the extent permitted by law; without
dnl even the implied warranty of MERCHANTABILITY or FITNESS FOR A
dnl PARTICULAR PURPOSE.


# serial 40 AC_PROG_LIBTOOL
AC_DEFUN(AC_PROG_LIBTOOL,
[AC_REQUIRE([AC_LIBTOOL_SETUP])dnl

# Save cache, so that ltconfig can load it
AC_CACHE_SAVE

# Actually configure libtool.  ac_aux_dir is where install-sh is found.
CC="$CC" CFLAGS="$CFLAGS" CPPFLAGS="$CPPFLAGS" \
LD="$LD" LDFLAGS="$LDFLAGS" LIBS="$LIBS" \
LN_S="$LN_S" NM="$NM" RANLIB="$RANLIB" \
DLLTOOL="$DLLTOOL" AS="$AS" OBJDUMP="$OBJDUMP" \
${CONFIG_SHELL-/bin/sh} $ac_aux_dir/ltconfig --no-reexec \
$libtool_flags --no-verify $ac_aux_dir/ltmain.sh $lt_target \
|| AC_MSG_ERROR([libtool configure failed])

# Reload cache, that may have been modified by ltconfig
AC_CACHE_LOAD

# This can be used to rebuild libtool when needed
LIBTOOL_DEPS="$ac_aux_dir/ltconfig $ac_aux_dir/ltmain.sh"

# Always use our own libtool.
LIBTOOL='$(SHELL) $(top_builddir)/libtool'
AC_SUBST(LIBTOOL)dnl

# Redirect the config.log output again, so that the ltconfig log is not
# clobbered by the next message.
exec 5>>./config.log
])

AC_DEFUN(AC_LIBTOOL_SETUP,
[AC_PREREQ(2.13)dnl
AC_REQUIRE([AC_ENABLE_SHARED])dnl
AC_REQUIRE([AC_ENABLE_STATIC])dnl
AC_REQUIRE([AC_ENABLE_FAST_INSTALL])dnl
AC_REQUIRE([AC_CANONICAL_HOST])dnl
AC_REQUIRE([AC_CANONICAL_BUILD])dnl
AC_REQUIRE([AC_PROG_RANLIB])dnl
AC_REQUIRE([AC_PROG_CC])dnl
AC_REQUIRE([AC_PROG_LD])dnl
AC_REQUIRE([AC_PROG_NM])dnl
AC_REQUIRE([AC_PROG_LN_S])dnl
dnl

case "$target" in
NONE) lt_target="$host" ;;
*) lt_target="$target" ;;
esac

# Check for any special flags to pass to ltconfig.
#
# the following will cause an existing older ltconfig to fail, so
# we ignore this at the expense of the cache file... Checking this 
# will just take longer ... bummer!
#libtool_flags="--cache-file=$cache_file"
#
test "$enable_shared" = no && libtool_flags="$libtool_flags --disable-shared"
test "$enable_static" = no && libtool_flags="$libtool_flags --disable-static"
test "$enable_fast_install" = no && libtool_flags="$libtool_flags --disable-fast-install"
test "$ac_cv_prog_gcc" = yes && libtool_flags="$libtool_flags --with-gcc"
test "$ac_cv_prog_gnu_ld" = yes && libtool_flags="$libtool_flags --with-gnu-ld"
ifdef([AC_PROVIDE_AC_LIBTOOL_DLOPEN],
[libtool_flags="$libtool_flags --enable-dlopen"])
ifdef([AC_PROVIDE_AC_LIBTOOL_WIN32_DLL],
[libtool_flags="$libtool_flags --enable-win32-dll"])
AC_ARG_ENABLE(libtool-lock,
  [  --disable-libtool-lock  avoid locking (might break parallel builds)])
test "x$enable_libtool_lock" = xno && libtool_flags="$libtool_flags --disable-lock"
test x"$silent" = xyes && libtool_flags="$libtool_flags --silent"

# Some flags need to be propagated to the compiler or linker for good
# libtool support.
case "$lt_target" in
*-*-irix6*)
  # Find out which ABI we are using.
  echo '[#]line __oline__ "configure"' > conftest.$ac_ext
  if AC_TRY_EVAL(ac_compile); then
    case "`/usr/bin/file conftest.o`" in
    *32-bit*)
      LD="${LD-ld} -32"
      ;;
    *N32*)
      LD="${LD-ld} -n32"
      ;;
    *64-bit*)
      LD="${LD-ld} -64"
      ;;
    esac
  fi
  rm -rf conftest*
  ;;

*-*-sco3.2v5*)
  # On SCO OpenServer 5, we need -belf to get full-featured binaries.
  SAVE_CFLAGS="$CFLAGS"
  CFLAGS="$CFLAGS -belf"
  AC_CACHE_CHECK([whether the C compiler needs -belf], lt_cv_cc_needs_belf,
    [AC_TRY_LINK([],[],[lt_cv_cc_needs_belf=yes],[lt_cv_cc_needs_belf=no])])
  if test x"$lt_cv_cc_needs_belf" != x"yes"; then
    # this is probably gcc 2.8.0, egcs 1.0 or newer; no need for -belf
    CFLAGS="$SAVE_CFLAGS"
  fi
  ;;

ifdef([AC_PROVIDE_AC_LIBTOOL_WIN32_DLL],
[*-*-cygwin* | *-*-mingw*)
  AC_CHECK_TOOL(DLLTOOL, dlltool, false)
  AC_CHECK_TOOL(AS, as, false)
  AC_CHECK_TOOL(OBJDUMP, objdump, false)
  ;;
])
esac
])

# AC_LIBTOOL_DLOPEN - enable checks for dlopen support
AC_DEFUN(AC_LIBTOOL_DLOPEN, [AC_BEFORE([$0],[AC_LIBTOOL_SETUP])])

# AC_LIBTOOL_WIN32_DLL - declare package support for building win32 dll's
AC_DEFUN(AC_LIBTOOL_WIN32_DLL, [AC_BEFORE([$0], [AC_LIBTOOL_SETUP])])

# AC_ENABLE_SHARED - implement the --enable-shared flag
# Usage: AC_ENABLE_SHARED[(DEFAULT)]
#   Where DEFAULT is either `yes' or `no'.  If omitted, it defaults to
#   `yes'.
AC_DEFUN(AC_ENABLE_SHARED, [dnl
define([AC_ENABLE_SHARED_DEFAULT], ifelse($1, no, no, yes))dnl
AC_ARG_ENABLE(shared,
changequote(<<, >>)dnl
<<  --enable-shared[=PKGS]  build shared libraries [default=>>AC_ENABLE_SHARED_DEFAULT],
changequote([, ])dnl
[p=${PACKAGE-default}
case "$enableval" in
yes) enable_shared=yes ;;
no) enable_shared=no ;;
*)
  enable_shared=no
  # Look at the argument we got.  We use all the common list separators.
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:,"
  for pkg in $enableval; do
    if test "X$pkg" = "X$p"; then
      enable_shared=yes
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac],
enable_shared=AC_ENABLE_SHARED_DEFAULT)dnl
])

# AC_DISABLE_SHARED - set the default shared flag to --disable-shared
AC_DEFUN(AC_DISABLE_SHARED, [AC_BEFORE([$0],[AC_LIBTOOL_SETUP])dnl
AC_ENABLE_SHARED(no)])

# AC_ENABLE_STATIC - implement the --enable-static flag
# Usage: AC_ENABLE_STATIC[(DEFAULT)]
#   Where DEFAULT is either `yes' or `no'.  If omitted, it defaults to
#   `yes'.
AC_DEFUN(AC_ENABLE_STATIC, [dnl
define([AC_ENABLE_STATIC_DEFAULT], ifelse($1, no, no, yes))dnl
AC_ARG_ENABLE(static,
changequote(<<, >>)dnl
<<  --enable-static[=PKGS]  build static libraries [default=>>AC_ENABLE_STATIC_DEFAULT],
changequote([, ])dnl
[p=${PACKAGE-default}
case "$enableval" in
yes) enable_static=yes ;;
no) enable_static=no ;;
*)
  enable_static=no
  # Look at the argument we got.  We use all the common list separators.
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:,"
  for pkg in $enableval; do
    if test "X$pkg" = "X$p"; then
      enable_static=yes
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac],
enable_static=AC_ENABLE_STATIC_DEFAULT)dnl
])

# AC_DISABLE_STATIC - set the default static flag to --disable-static
AC_DEFUN(AC_DISABLE_STATIC, [AC_BEFORE([$0],[AC_LIBTOOL_SETUP])dnl
AC_ENABLE_STATIC(no)])


# AC_ENABLE_FAST_INSTALL - implement the --enable-fast-install flag
# Usage: AC_ENABLE_FAST_INSTALL[(DEFAULT)]
#   Where DEFAULT is either `yes' or `no'.  If omitted, it defaults to
#   `yes'.
AC_DEFUN(AC_ENABLE_FAST_INSTALL, [dnl
define([AC_ENABLE_FAST_INSTALL_DEFAULT], ifelse($1, no, no, yes))dnl
AC_ARG_ENABLE(fast-install,
changequote(<<, >>)dnl
<<  --enable-fast-install[=PKGS]  optimize for fast installation [default=>>AC_ENABLE_FAST_INSTALL_DEFAULT],
changequote([, ])dnl
[p=${PACKAGE-default}
case "$enableval" in
yes) enable_fast_install=yes ;;
no) enable_fast_install=no ;;
*)
  enable_fast_install=no
  # Look at the argument we got.  We use all the common list separators.
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:,"
  for pkg in $enableval; do
    if test "X$pkg" = "X$p"; then
      enable_fast_install=yes
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac],
enable_fast_install=AC_ENABLE_FAST_INSTALL_DEFAULT)dnl
])

# AC_ENABLE_FAST_INSTALL - set the default to --disable-fast-install
AC_DEFUN(AC_DISABLE_FAST_INSTALL, [AC_BEFORE([$0],[AC_LIBTOOL_SETUP])dnl
AC_ENABLE_FAST_INSTALL(no)])

# AC_PROG_LD - find the path to the GNU or non-GNU linker
AC_DEFUN(AC_PROG_LD,
[AC_ARG_WITH(gnu-ld,
[  --with-gnu-ld           assume the C compiler uses GNU ld [default=no]],
test "$withval" = no || with_gnu_ld=yes, with_gnu_ld=no)
AC_REQUIRE([AC_PROG_CC])dnl
AC_REQUIRE([AC_CANONICAL_HOST])dnl
AC_REQUIRE([AC_CANONICAL_BUILD])dnl
ac_prog=ld
if test "$ac_cv_prog_gcc" = yes; then
  # Check if gcc -print-prog-name=ld gives a path.
  AC_MSG_CHECKING([for ld used by GCC])
  ac_prog=`($CC -print-prog-name=ld) 2>&5`
  case "$ac_prog" in
    # Accept absolute paths.
changequote(,)dnl
    [\\/]* | [A-Za-z]:[\\/]*)
      re_direlt='/[^/][^/]*/\.\./'
changequote([,])dnl
      # Canonicalize the path of ld
      ac_prog=`echo $ac_prog| sed 's%\\\\%/%g'`
      while echo $ac_prog | grep "$re_direlt" > /dev/null 2>&1; do
	ac_prog=`echo $ac_prog| sed "s%$re_direlt%/%"`
      done
      test -z "$LD" && LD="$ac_prog"
      ;;
  "")
    # If it fails, then pretend we aren't using GCC.
    ac_prog=ld
    ;;
  *)
    # If it is relative, then search for the first ld in PATH.
    with_gnu_ld=unknown
    ;;
  esac
elif test "$with_gnu_ld" = yes; then
  AC_MSG_CHECKING([for GNU ld])
else
  AC_MSG_CHECKING([for non-GNU ld])
fi
AC_CACHE_VAL(ac_cv_path_LD,
[if test -z "$LD"; then
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}${PATH_SEPARATOR-:}"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f "$ac_dir/$ac_prog" || test -f "$ac_dir/$ac_prog$ac_exeext"; then
      ac_cv_path_LD="$ac_dir/$ac_prog"
      # Check to see if the program is GNU ld.  I'd rather use --version,
      # but apparently some GNU ld's only accept -v.
      # Break only if it was the GNU/non-GNU ld that we prefer.
      if "$ac_cv_path_LD" -v 2>&1 < /dev/null | egrep '(GNU|with BFD)' > /dev/null; then
	test "$with_gnu_ld" != no && break
      else
	test "$with_gnu_ld" != yes && break
      fi
    fi
  done
  IFS="$ac_save_ifs"
else
  ac_cv_path_LD="$LD" # Let the user override the test with a path.
fi])
LD="$ac_cv_path_LD"
if test -n "$LD"; then
  AC_MSG_RESULT($LD)
else
  AC_MSG_RESULT(no)
fi
test -z "$LD" && AC_MSG_ERROR([no acceptable ld found in \$PATH])
AC_PROG_LD_GNU
])

AC_DEFUN(AC_PROG_LD_GNU,
[AC_CACHE_CHECK([if the linker ($LD) is GNU ld], ac_cv_prog_gnu_ld,
[# I'd rather use --version here, but apparently some GNU ld's only accept -v.
if $LD -v 2>&1 </dev/null | egrep '(GNU|with BFD)' 1>&5; then
  ac_cv_prog_gnu_ld=yes
else
  ac_cv_prog_gnu_ld=no
fi])
])

# AC_PROG_NM - find the path to a BSD-compatible name lister
AC_DEFUN(AC_PROG_NM,
[AC_MSG_CHECKING([for BSD-compatible nm])
AC_CACHE_VAL(ac_cv_path_NM,
[if test -n "$NM"; then
  # Let the user override the test.
  ac_cv_path_NM="$NM"
else
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}${PATH_SEPARATOR-:}"
  for ac_dir in $PATH /usr/ccs/bin /usr/ucb /bin; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/nm || test -f $ac_dir/nm$ac_exeext ; then
      # Check to see if the nm accepts a BSD-compat flag.
      # Adding the `sed 1q' prevents false positives on HP-UX, which says:
      #   nm: unknown option "B" ignored
      if ($ac_dir/nm -B /dev/null 2>&1 | sed '1q'; exit 0) | egrep /dev/null >/dev/null; then
	ac_cv_path_NM="$ac_dir/nm -B"
	break
      elif ($ac_dir/nm -p /dev/null 2>&1 | sed '1q'; exit 0) | egrep /dev/null >/dev/null; then
	ac_cv_path_NM="$ac_dir/nm -p"
	break
      else
	ac_cv_path_NM=${ac_cv_path_NM="$ac_dir/nm"} # keep the first match, but
	continue # so that we can try to find one that supports BSD flags
      fi
    fi
  done
  IFS="$ac_save_ifs"
  test -z "$ac_cv_path_NM" && ac_cv_path_NM=nm
fi])
NM="$ac_cv_path_NM"
AC_MSG_RESULT([$NM])
])

# AC_CHECK_LIBM - check for math library
AC_DEFUN(AC_CHECK_LIBM,
[AC_REQUIRE([AC_CANONICAL_HOST])dnl
LIBM=
case "$lt_target" in
*-*-beos* | *-*-cygwin*)
  # These system don't have libm
  ;;
*-ncr-sysv4.3*)
  AC_CHECK_LIB(mw, _mwvalidcheckl, LIBM="-lmw")
  AC_CHECK_LIB(m, main, LIBM="$LIBM -lm")
  ;;
*)
  AC_CHECK_LIB(m, main, LIBM="-lm")
  ;;
esac
])

# AC_LIBLTDL_CONVENIENCE[(dir)] - sets LIBLTDL to the link flags for
# the libltdl convenience library and INCLTDL to the include flags for
# the libltdl header and adds --enable-ltdl-convenience to the
# configure arguments.  Note that LIBLTDL and INCLTDL are not
# AC_SUBSTed, nor is AC_CONFIG_SUBDIRS called.  If DIR is not
# provided, it is assumed to be `libltdl'.  LIBLTDL will be prefixed
# with '${top_builddir}/' and INCLTDL will be prefixed with
# '${top_srcdir}/' (note the single quotes!).  If your package is not
# flat and you're not using automake, define top_builddir and
# top_srcdir appropriately in the Makefiles.
AC_DEFUN(AC_LIBLTDL_CONVENIENCE, [AC_BEFORE([$0],[AC_LIBTOOL_SETUP])dnl
  case "$enable_ltdl_convenience" in
  no) AC_MSG_ERROR([this package needs a convenience libltdl]) ;;
  "") enable_ltdl_convenience=yes
      ac_configure_args="$ac_configure_args --enable-ltdl-convenience" ;;
  esac
  LIBLTDL='${top_builddir}/'ifelse($#,1,[$1],['libltdl'])/libltdlc.la
  INCLTDL='-I${top_srcdir}/'ifelse($#,1,[$1],['libltdl'])
])

# AC_LIBLTDL_INSTALLABLE[(dir)] - sets LIBLTDL to the link flags for
# the libltdl installable library and INCLTDL to the include flags for
# the libltdl header and adds --enable-ltdl-install to the configure
# arguments.  Note that LIBLTDL and INCLTDL are not AC_SUBSTed, nor is
# AC_CONFIG_SUBDIRS called.  If DIR is not provided and an installed
# libltdl is not found, it is assumed to be `libltdl'.  LIBLTDL will
# be prefixed with '${top_builddir}/' and INCLTDL will be prefixed
# with '${top_srcdir}/' (note the single quotes!).  If your package is
# not flat and you're not using automake, define top_builddir and
# top_srcdir appropriately in the Makefiles.
# In the future, this macro may have to be called after AC_PROG_LIBTOOL.
AC_DEFUN(AC_LIBLTDL_INSTALLABLE, [AC_BEFORE([$0],[AC_LIBTOOL_SETUP])dnl
  AC_CHECK_LIB(ltdl, main,
  [test x"$enable_ltdl_install" != xyes && enable_ltdl_install=no],
  [if test x"$enable_ltdl_install" = xno; then
     AC_MSG_WARN([libltdl not installed, but installation disabled])
   else
     enable_ltdl_install=yes
   fi
  ])
  if test x"$enable_ltdl_install" = x"yes"; then
    ac_configure_args="$ac_configure_args --enable-ltdl-install"
    LIBLTDL='${top_builddir}/'ifelse($#,1,[$1],['libltdl'])/libltdl.la
    INCLTDL='-I${top_srcdir}/'ifelse($#,1,[$1],['libltdl'])
  else
    ac_configure_args="$ac_configure_args --enable-ltdl-install=no"
    LIBLTDL="-lltdl"
    INCLTDL=
  fi
])

dnl old names
AC_DEFUN(AM_PROG_LIBTOOL, [indir([AC_PROG_LIBTOOL])])dnl
AC_DEFUN(AM_ENABLE_SHARED, [indir([AC_ENABLE_SHARED], $@)])dnl
AC_DEFUN(AM_ENABLE_STATIC, [indir([AC_ENABLE_STATIC], $@)])dnl
AC_DEFUN(AM_DISABLE_SHARED, [indir([AC_DISABLE_SHARED], $@)])dnl
AC_DEFUN(AM_DISABLE_STATIC, [indir([AC_DISABLE_STATIC], $@)])dnl
AC_DEFUN(AM_PROG_LD, [indir([AC_PROG_LD])])dnl
AC_DEFUN(AM_PROG_NM, [indir([AC_PROG_NM])])dnl

dnl This is just to silence aclocal about the macro not being used
ifelse([AC_DISABLE_FAST_INSTALL])dnl

# Do all the work for Automake.  This macro actually does too much --
# some checks are only needed if your package does certain things.
# But this isn't really a big deal.

# serial 1

dnl Usage:
dnl AM_INIT_AUTOMAKE(package,version, [no-define])

AC_DEFUN(AM_INIT_AUTOMAKE,
[AC_REQUIRE([AC_PROG_INSTALL])
PACKAGE=[$1]
AC_SUBST(PACKAGE)
VERSION=[$2]
AC_SUBST(VERSION)
dnl test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
  AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi
ifelse([$3],,
AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package]))
AC_REQUIRE([AM_SANITY_CHECK])
AC_REQUIRE([AC_ARG_PROGRAM])
dnl FIXME This is truly gross.
missing_dir=`cd $ac_aux_dir && pwd`
AM_MISSING_PROG(ACLOCAL, aclocal, $missing_dir)
AM_MISSING_PROG(AUTOCONF, autoconf, $missing_dir)
AM_MISSING_PROG(AUTOMAKE, automake, $missing_dir)
AM_MISSING_PROG(AUTOHEADER, autoheader, $missing_dir)
AM_MISSING_PROG(MAKEINFO, makeinfo, $missing_dir)
AC_REQUIRE([AC_PROG_MAKE_SET])])

#
# Check to make sure that the build environment is sane.
#

AC_DEFUN(AM_SANITY_CHECK,
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
echo timestamp > conftestfile
# Do `set' in a subshell so we don't clobber the current shell's
# arguments.  Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
   set X `ls -Lt $srcdir/configure conftestfile 2> /dev/null`
   if test "[$]*" = "X"; then
      # -L didn't work.
      set X `ls -t $srcdir/configure conftestfile`
   fi
   if test "[$]*" != "X $srcdir/configure conftestfile" \
      && test "[$]*" != "X conftestfile $srcdir/configure"; then

      # If neither matched, then we have a broken ls.  This can happen
      # if, for instance, CONFIG_SHELL is bash and it inherits a
      # broken ls alias from the environment.  This has actually
      # happened.  Such a system could not be considered "sane".
      AC_MSG_ERROR([ls -t appears to fail.  Make sure there is not a broken
alias in your environment])
   fi

   test "[$]2" = conftestfile
   )
then
   # Ok.
   :
else
   AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
rm -f conftest*
AC_MSG_RESULT(yes)])

dnl AM_MISSING_PROG(NAME, PROGRAM, DIRECTORY)
dnl The program must properly implement --version.
AC_DEFUN(AM_MISSING_PROG,
[AC_MSG_CHECKING(for working $2)
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf.  Sigh.
if ($2 --version) < /dev/null > /dev/null 2>&1; then
   $1=$2
   AC_MSG_RESULT(found)
else
   $1="$3/missing $2"
   AC_MSG_RESULT(missing)
fi
AC_SUBST($1)])

# Like AC_CONFIG_HEADER, but automatically create stamp file.

AC_DEFUN(AM_CONFIG_HEADER,
[AC_PREREQ([2.12])
AC_CONFIG_HEADER([$1])
dnl When config.status generates a header, we must update the stamp-h file.
dnl This file resides in the same directory as the config header
dnl that is generated.  We must strip everything past the first ":",
dnl and everything past the last "/".
AC_OUTPUT_COMMANDS(changequote(<<,>>)dnl
ifelse(patsubst(<<$1>>, <<[^ ]>>, <<>>), <<>>,
<<test -z "<<$>>CONFIG_HEADERS" || echo timestamp > patsubst(<<$1>>, <<^\([^:]*/\)?.*>>, <<\1>>)stamp-h<<>>dnl>>,
<<am_indx=1
for am_file in <<$1>>; do
  case " <<$>>CONFIG_HEADERS " in
  *" <<$>>am_file "*<<)>>
    echo timestamp > `echo <<$>>am_file | sed -e 's%:.*%%' -e 's%[^/]*$%%'`stamp-h$am_indx
    ;;
  esac
  am_indx=`expr "<<$>>am_indx" + 1`
done<<>>dnl>>)
changequote([,]))])

dnl Copyright (C) 1999-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_PROG_CC_POSIX,[
	AC_PROG_CC
	AC_PROG_CPP
	AC_ISC_POSIX
	AC_MINIX]
)

AC_DEFUN(OST_PROG_COMMON,[
	AC_REQUIRE([AC_PROG_INSTALL])
	AC_REQUIRE([AC_PROG_MAKE_SET])
])

AC_DEFUN(OST_PROJ_LIBRARY,[
	AC_REQUIRE([AM_PROG_LIBTOOL])
	AC_REQUIRE([AC_PROG_RANLIB])
	if test ! -z "[$2]" ; then
		if test ! -z "[$3]" ; then
			LT_[$1]_VERSION="-version-info [$3] -release [$2]"
		else	
			LT_[$1]_VERSION="-release [$2]"
		fi
		AC_SUBST(LT_[$1]_VERSION)
	fi
])

AC_DEFUN(OST_PROG_LIBRARY,[
	AC_REQUIRE([AM_PROG_LIBTOOL])
	AC_REQUIRE([AC_PROG_RANLIB])
	if test ! -z "[$2]" ; then
		LT_[$1]_VERSION="-version-info [$2]"
		AC_SUBST(LT_[$1]_VERSION)
	fi
])


dnl Copyright (C) 1999-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_AUTOMAKE_MODE,[
	AC_MSG_CHECKING([for genorated automake files])
	if test -z "[$1]" ; then
		ost_AUTOMAKE_TEST=Makefile.in
	else
		ost_AUTOMAKE_TEST=[$1]
	fi
	if test ! -f $ost_AUTOMAKE_TEST ; then 
		AC_MSG_RESULT(missing)
		automake -a 
	else
		AC_MSG_RESULT(found)
	fi]
)

AC_DEFUN(OST_MAINTAINER_MODE,[
	AM_MAINTAINER_MODE
	if test -z "$MAINT" ; then
		AC_MSG_CHECKING([for maintainer ftp distribution directory])
		if test -d ~ftp/pub ; then
			FTPDIR=~ftp/pub
			AC_MSG_RESULT(found)
		else
			AC_MSG_RESULT(missing)
		fi
	fi
	AC_SUBST(FTPDIR)
	]
)


# Add --enable-maintainer-mode option to configure.
# From Jim Meyering

# serial 1

AC_DEFUN(AM_MAINTAINER_MODE,
[AC_MSG_CHECKING([whether to enable maintainer-specific portions of Makefiles])
  dnl maintainer-mode is disabled by default
  AC_ARG_ENABLE(maintainer-mode,
[  --enable-maintainer-mode enable make rules and dependencies not useful
                          (and sometimes confusing) to the casual installer],
      USE_MAINTAINER_MODE=$enableval,
      USE_MAINTAINER_MODE=no)
  AC_MSG_RESULT($USE_MAINTAINER_MODE)
  AM_CONDITIONAL(MAINTAINER_MODE, test $USE_MAINTAINER_MODE = yes)
  MAINT=$MAINTAINER_MODE_TRUE
  AC_SUBST(MAINT)dnl
]
)

# Define a conditional.

AC_DEFUN(AM_CONDITIONAL,
[AC_SUBST($1_TRUE)
AC_SUBST($1_FALSE)
if $2; then
  $1_TRUE=
  $1_FALSE='#'
else
  $1_TRUE='#'
  $1_FALSE=
fi])

dnl Copyright (C) 2000-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

dnl OST_CCXX_VERSION([MINIMUM-VERSION[,ACTION-IF-FOUND[,ACTION-IF-NOT-FOUND]]])
dnl Test for usable version of CommonC++

AC_DEFUN(OST_CCXX_DYNLOADER,[
	ost_cv_dynloader=`$CCGNU_CONFIG --dso`
])

AC_DEFUN(OST_CCXX_VERSION,
[
  AC_PATH_PROG(CCGNU_CONFIG, ccgnu-config, no)
  ccgnu_version=ifelse([$1], ,1.3.3,$1)
  AC_MSG_CHECKING(for CommonC++ version >= $ccgnu_version)
  if test "$CCGNU_CONFIG" = "no" ; then
    AC_MSG_RESULT(not found)
    echo "*** The ccgnu-config script installed by CommonC++ 1.3.0"
    echo "*** or later could not be found."
    ifelse([$3], , :, [$3])
    exit -1
  else
    config_version=`$CCGNU_CONFIG --version`
    ccgnu_config_major_version=`echo $config_version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
    ccgnu_config_minor_version=`echo $config_version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
    ccgnu_config_micro_version=`echo $config_version | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
           
    ccgnu_check_major_version=`echo "$ccgnu_version" | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
    ccgnu_check_minor_version=`echo "$ccgnu_version" | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
    ccgnu_check_micro_version=`echo "$ccgnu_version" | \
           sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
       
    version_ok=no       
    if test $ccgnu_config_major_version -gt $ccgnu_check_major_version ; then
	version_ok=yes
    elif test $ccgnu_config_major_version -eq $ccgnu_check_major_version  \
       && test $ccgnu_config_minor_version -gt $ccgnu_check_minor_version ; then
	version_ok=yes
    elif test $ccgnu_config_major_version -eq $ccgnu_check_major_version \
       && test $ccgnu_config_minor_version -eq $ccgnu_check_minor_version \
       && test $ccgnu_config_micro_version -ge $ccgnu_check_micro_version; then
       
       version_ok=yes
    fi
  
    if test "$version_ok" = "no"; then
      AC_MSG_RESULT(no)
      ost_cv_ccxx_config=false
      echo "*** An old version of CommonC++ of $config_version was found."
      echo "*** You need a version of CommonC++ newer than $ccgnu_version. The latest version of"
      echo "*** CommonC++ is always available from ftp://ftp.gnu.org/gnu/commonc++/."
      ifelse([$3], , :, [$3])
    else
      AC_MSG_RESULT(yes)
      ost_cv_ccxx_config=true
      SINGLE_FLAGS="$CXXFLAGS"
      SINGLE_LIBS="$LIBS"
      AC_SUBST(SINGLE_LIBS)
      AC_SUBST(SINGLE_FLAGS)
      CXXFLAGS="$CXXFLAGS "`$CCGNU_CONFIG --flags`
      GNULIBS="$LIBS "`$CCGNU_CONFIG --gnulibs`
      EXTLIBS=`$CCGNU_CONFIG --extlibs`
      LIBS="$LIBS `$CCGNU_CONFIG --stdlibs`"
      AC_SUBST(GNULIBS)
      AC_SUBST(EXTLIBS)
    fi
  fi
])

AC_DEFUN(OST_CCXX_SCRIPT,[
	LIBS="-lccscript $LIBS"
])

AC_DEFUN(OST_CCXX_FOX,[
	ost_cv_lib_fox=false
	AC_CHECK_HEADERS(fox/fx.h,[
		AC_DEFINE(HAVE_FOX_FX_H)
		ost_cv_lib_fox=true])
])

AC_DEFUN(OST_CCXX_HOARD,[
	AC_ARG_ENABLE(hoard, [--disable-hoard         Disable hoard support])
	AC_ARG_ENABLE(mpatrol, [--enable-mpatrol        Enable mpatrol debugging])
	if test "$enable_mpatrol" = "yes" ; then
		LIBS="$LIBS -lmpatrolmt -lbfd -liberty"
	elif test "$enable_hoard" != "no" ; then
        	AC_CHECK_LIB(hoard, free, [LIBS="$LIBS -lhoard"])
	fi
])

AC_DEFUN(OST_CCXX_AUDIO,[
	LIBS="$LIBS -lccaudio"
])

dnl ACCONFIG TEMPLATE
dnl #undef CCXX_CONFIG_H_
dnl #undef HAVE_FOX_FX_H
dnl END ACCONFIG

dnl Copyright (C) 1999-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_PORTIO,[
	ost_cv_ioport_access=false
	AC_CHECK_HEADER(sys/io.h,[
		AC_DEFINE(HAVE_SYS_IO_H)
		ost_cv_ioport_access=true],[
		AC_CHECK_HEADER(asm/io.h,[
			AC_DEFINE(HAVE_ASM_IO_H)
			ost_cv_ioport_access=true
		])
	])
])

dnl ACCONFIG TEMPLATE
dnl #undef HAVE_SYS_IO_H
dnl #undef HAVE_ASM_IO_H
dnl END ACCONFIG

dnl ACCONFIG BOTTOM
dnl END ACCONFIG


dnl Copyright (C) 2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_LIB_SUNRPC,[
	ost_cv_sunrpc=true
	SUNRPC_LIBS=""
	AC_CHECK_LIB(nsl, xdr_string, [SUNRPC_LIBS='-lnsl'])
	AC_SUBST(SUNRPC_LIBS)
])


dnl Copyright (C) 1999-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_NOSTREAMS,[
	STREAM_LIBS=
	STREAM_FLAGS=
	ost_cv_unix_streams=false
	AC_SUBST(STREAM_LIBS)
	AC_SUBST(STREAM_FLAGS)
])

AC_DEFUN(OST_STREAMS,[
	STREAM_LIBS=
	STREAM_FLAGS=
	ost_cv_unix_streams=false
	AC_CHECK_HEADERS(stropts.h,[
		ost_cv_unix_streams=true,
		AC_DEFINE(HAVE_STROPTS_H)])
	if test -z "$LIS_HOME" ; then
		LiSdir=/usr/src/LiS
	else
		LiSdir="$LIS_HOME"
	fi
	if test -d $prefix/$target ; then
		LiSdir=$prefix/$target/src/LiS
	elif test -f $prefix/src/LiS ; then
		LiSdir=$prefix/src/LiS
	fi
	AC_MSG_CHECKING([for LiS streams ($LiSdir)])
	if test -d $LiSdir ; then
		AC_MSG_RESULT(found)
		ost_cv_unix_streams=true
		AC_DEFINE(HAVE_SYS_STROPTS_H)
		STREAM_FLAGS="-I$LiSdir/include $CXXFLAGS"
		if test -f $LiSdir/libc/libLiSuser.* ; then
			STREAM_LIBS="-L$LiSdir/libc -lLiSuser"
		else
			STREAM_LIBS="-L$LiSdir/libc -lLiS"
		fi
	else
		AC_MSG_RESULT(missing)
	fi
	AC_SUBST(STREAM_LIBS)
	AC_SUBST(STREAM_FLAGS)
])

dnl ACCONFIG TEMPLATE
dnl #undef HAVE_STROPTS_H
dnl #undef HAVE_SYS_STROPTS_H
dnl END ACCONFIG

dnl ACCONFIG BOTTOM
dnl #ifdef HAVE_SYS_STROPTS_H
dnl #include <sys/stropts.h>
dnl #else
dnl #ifdef HAVE_STROPTS_H
dnl #include <stropts.h>
dnl #endif
dnl #endif
dnl END ACCONFIG


dnl Copyright (C) 1999-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_PERL,[
	AC_PATH_PROG(PERL, perl, no)
	if test "$PERL" = "no" ; then
		ost_cv_perl_shell=false
		PERL_FLAGS=""
		PERL_LIBS=""
	else
		ost_cv_perl_shell=true
		PERL_FLAGS="`perl -MExtUtils::Embed -e ccopts 2>/dev/null`"
		PERL_LIBS="`perl -MExtUtils::Embed -e ldopts 2>/dev/null`"
	fi
	if test -z "$PERL_FLAGS" ; then
		ost_cv_perl_embed=false
	else
		tFLAGS="$CFLAGS"
		CFLAGS="$CFLAGS $PERL_FLAGS"
		AC_TRY_COMPILE(
			[#include <EXTERN.h>
			 #include <perl.h>
			EXTERN_C void xs_init(pTHXo);
			],[],
			[PERL_FLAGS="$PERL_FLAGS -DXS_INIT"], [])
		CFLAGS="$tFLAGS"
		ost_cv_perl_embed=true
	fi
	AC_SUBST(PERL)
	AC_SUBST(PERL_FLAGS)
	AC_SUBST(PERL_LIBS)
])




dnl Copyright (C) 1999-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_PYTHON,[
	AC_PATH_PROG(PYTHON, python, no)
	if test "$PYTHON" = "no" ; then
		ost_cv_python_shell=false
		PYTHON_FLAGS=""
		PYTHON_LIBS=""
	else
		ost_cv_python_shell=true
		if test -d $prefix/$target ; then
			if test -d $prefix/$target/include/python* ; then
				PYTHON_FLAGS=-I`echo $prefix/$target/include/python*`
				PYTHON_LIBS=`echo $prefix/$target/lib/python*/config/libpython*.a`
			fi
		elif test -d $prefix/include/python* ; then
			PYTHON_FLAGS=-I`echo $prefix/include/python*`
			PYTHON_LIBS=`echo $prefix/lib/python*/config/libpython*.a`
		elif test -d /usr/local/include/python* ; then
			PYTHON_FLAGS=-I`echo /usr/local/include/python*`
			PYTHON_LIBS=`echo /usr/local/lib/python*/config/libpython*.a`
		elif test -d /usr/include/python* ; then
			PYTHON_FLAGS=-I`echo /usr/include/python*`
			PYTHON_LIBS=`echo /usr/lib/python*/config/libpython*.a`
		fi

	fi
	if test -f "$PYTHON_LIBS" ; then
		ost_cv_python_embed=true
	else
		ost_cv_python_embed=false
	fi
	AC_SUBST(PYTHON)
	AC_SUBST(PYTHON_FLAGS)
	AC_SUBST(PYTHON_LIBS)
])




dnl Copyright (C) 1999-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_TCL,[
	ost_cv_tcl_embed=false
	AC_CHECK_HEADERS(tcl.h,[ost_cv_tcl_embed=true])
])




dnl Copyright (C) 1999-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_JS,[
	JS_FLAGS=""
	JS_LIBS=""
	ost_cv_js_embed=false
	AC_CHECK_HEADERS(kjs/kjs.h,[
		JS_LIBS="-lkjs"
		AC_DEFINE(HAVE_KJS_KJS_H)
		ost_cv_js_embed=true])
	AC_SUBST(JS_FLAGS)
	AC_SUBST(JS_LIBS)
])




dnl Copyright (C) 1999-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_PHONEDEV,[
	PHONEDEV_FLAGS=""
	ost_cv_phonedev_driver=false
	AC_CHECK_HEADERS(linux/telephony.h,[
		AC_DEFINE(HAVE_LINUX_TELEPHONY_H)
		AC_CHECK_HEADERS(linux/ixjuser.h,[
			AC_DEFINE(HAVE_LINUX_IXJUSER_H)
			PHONEDEV_FLAGS="-DIXJ_PHONEDEV"
		])
		AC_EGREP_HEADER(IXJ_CID, linux/ixjuser.h,[
			AC_DEFINE(PHONE_CID, IXJ_CID)])
		ost_cv_phonedev_driver=true
	],[
		AC_CHECK_HEADERS(sys/telephony.h,[
			if test `uname -s` != "SunOS" ; then
				PHONEDEV_FLAGS="-DPOSIX_PHONEDEV"
			fi
			AC_DEFINE(HAVE_SYS_TELEPHONY_H)
			AC_CHECK_HEADERS(sys/ixjuser.h,[
				AC_DEFINE(HAVE_SYS_IXJUSER_H)
				 PHONEDEV_FLAGS="$PHONEDEV_FLAGS -DIXJ_PHONEDEV"
			])
			ost_cv_phonedev_driver=true
		])
	])
	AC_SUBST(PHONEDEV_FLAGS)
])

dnl ACCONFIG TEMPLATE
dnl #undef HAVE_LINUX_TELEPHONY_H
dnl #undef HAVE_LINUX_IXJUSER_H
dnl #undef HAVE_SYS_TELEPHONY_H
dnl #undef HAVE_SYS_IXJUSER_H
dnl #undef PHONE_CID
dnl END ACCONFIG



dnl Copyright (C) 1999-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_PIKA,[
	ost_cv_pika_montecarlo=false
	AC_CHECK_HEADERS(MonteCarlo.h,[
		PIKA_FLAGS=
		PIKA_LIBS="-lmonty -lpk_cti -lpk_dsp"
		ost_cv_pika_montecarlo=true])
	if test $ost_cv_pika_montecarlo = false ; then
		AC_CHECK_HEADERS(montecarlo.h,[
			AC_DEFINE(have_montecarlo_h)
			PIKA_FLAGS=
			PIKA_LIBS="-lmonty"
			ost_cv_pika_montecarlo=true])
	fi
	if test $ost_cv_pika_montecarlo = false ; then
		if test -d $prefix/$target ; then
			pikadir=$prefix/$target/pika
		elif test -d $prefix/pika ; then
			pikadir=$prefix/pika
		else
			pikadir=/usr/pika
		fi
		AC_MSG_CHECKING([for pika api ($pikadir)])
		if test -d $pikadir/include ; then
			CXXFLAGS="$CXXFLAGS -I$pikadir/include"
			PIKA_LIBS="-L$pikadir/lib -lmonty"
			AC_DEFINE(HAVE_MONTECARLO_H)
			ost_cv_pika_montecarlo=true
		elif test -d $pikadir/api ; then
			CXXFLAGS="$CXXFLAGS -I$pikadir/api"
			AC_DEFINE(have_montecarlo_h)
			PIKA_LIBS="-L$pikadir/Release -lmonty"
			ost_cv_pika_montecarlo=true
		fi
		if test $ost_cv_pika_montecarlo = true ; then
			AC_MSG_RESULT(found)
		else
			AC_MSG_RESULT(missing)
		fi
	fi
	AC_SUBST(PIKA_FLAGS)
	AC_SUBST(PIKA_LIBS)
])

dnl ACCONFIG TEMPLATE
dnl #undef HAVE_MONTECARLO_H
dnl #undef have_montecarlo_h
dnl END ACCONFIG


dnl Copyright (C) 1999-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_ACULAB,[
	ost_cv_aculab_driver=false
	ACULAB_LIBS=""
	AC_CHECK_HEADERS(aculab/mvcldrvr.h,[
		AC_DEFINE(HAVE_ACULAB_MVCLDRVR_H)
		ost_cv_aculab_driver=true
		ACULAB_LIBS="$ACULAB_LIBS -lmvcl"])
	AC_CHECK_HEADERS(aculab/mvswdrvr.h,[
		AC_DEFINE(HAVE_ACULAB_MVSWDRVR_H)
		ost_cv_aculab_driver=true
		ACULAB_LIBS="$ACULAB_LIBS -lmvsw"])
	AC_CHECK_HEADERS(aculab/smdrvr.h,[
		AC_DEFINE(HAVE_ACULAB_SMDRVR_H)
		ost_cv_aculab_driver=true
		ACULAB_LIBS="$ACULAB_LIBS -lmvsm"])
	AC_SUBST(ACULAB_LIBS)
])

dnl ACCONFIG TEMPLATE
dnl #undef HAVE_ACULAB_MVCLDRVR_H
dnl #undef HAVE_ACULAB_MVSWDRVR_H
dnl #undef HAVE_ACULAB_SMDRVR_H
dnl END ACCONFIG



dnl Copyright (C) 1999-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_OPENH323,[
	OPENH323_FLAGS=
	OPENH323_LIBS=
	ost_cv_openh323=false
	AC_MSG_CHECKING([for openh323 libraries])
	if test -z "$OPENH323DIR" ; then
		if test -d /usr/openh323 ; then
			export OPENH323DIR=/usr/openh323
		elif test -d /usr/include/openh323 ; then
			export OPENH323DIR=/usr/include/openh323
		else
			export OPENH323DIR=~/openh323
		fi
	fi
	if test -z "$PWLIBDIR" ; then
		if test -d /usr/share/pwlib ; then
			export PWLIBDIR=~/pwlib
		else
			export PWLIBDIR=~/pwlib
		fi
		if test -d $PWLIBDIR/include ; then
			OPENH323_FLAGS="-I$PWLIBDIR/include -I$PWLIBDIR/include/unix"
		elif test -d /usr/include/ptlib ; then
			OPENH323_FLAGS="-I/usr/include/ptlib -I/usr/include/ptlib/unix"
		fi
	fi
	if test -d "$OPENH323DIR" ; then
		ost_cv_openh323=true
		if test -d /usr/include/openh323 ; then
 			OPENH323_FLAGS="$OPENH323_FLAGS -I/usr/include/openh323"
		else
			OPENH323_FLAGS="$OPENH323_FLAGS -I$OPENH323DIR/include"
		fi
		OPENH323_FLAGS="$OPENH323_FLAGS"
		if test -d $OPENH323DIR/lib ; then
			OPENH323_LIBS="$OPENH323_LIBS -L$OPENH323DIR/lib"
			libh323="-lh323_"`ls $OPENH323_LIBS/lib/libh* | sed -e "s/.*libh323_//" -e "s/[.]so.*$//" | uniq`
		else
			libh323="-lh323_"`ls /usr/lib/libh323_* | sed -e "s/.*libh323_//" -e "s/[.]so.*$//" | uniq` 
		fi
		if test -d $PWLIBDIR/lib/obj* ; then
			OPENH323_LIBS="$OPENH323_LIBS -L"`echo $PWLIBDIR/lib/obj*`
		fi
		OPENH323_LIBS="$OPENH323_LIBS $libh323 -lpt"
	fi
	if test $ost_cv_openh323 = true ; then
		AC_MSG_RESULT(found)
	else
		AC_MSG_RESULT(missing)
	fi
	AC_SUBST(OPENH323_FLAGS)
	AC_SUBST(OPENH323_LIBS)
])



dnl Copyright (C) 2000-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_DIALOGIC,[
	ost_cv_dialogic_unix=none
	if test -d $prefix/$target ; then
		dlgprefix=$prefix/$target/dialogic
	elif test -d $prefix/dialogic ; then
		dlgprefix=$prefix/dialogic
	else
		dlgprefix=/usr/dialogic
	fi
	if test "$ost_cv_unix_streams" = "false" ; then
		dlgprefix=/dev/null
	fi
	AC_MSG_CHECKING([for dialogic sdk ($dlgprefix)])
	if test -d $dlgprefix ; then
		AC_MSG_RESULT(found)
		AC_DEFINE(HAVE_DIALOGIC_SDK)
		if test -d $dlgprefix/inc ; then
			incprefix=$dlgprefix/inc
		else
			incprefix=$dlgprefix/include
		fi
		DIALOGIC_FLAGS="$STREAM_FLAGS -I$incprefix -I$dlgprefix/sctools"
		DIALOGIC_LIBS="$dlgprefix/sctools/sctools.o -L$dlgprefix/lib -lfax -ldxxx -ldti -lsrl $STREAM_LIBS"
		ost_cv_dialogic_unix=single
	else
		AC_MSG_RESULT(missing)
	fi
	AC_SUBST(DIALOGIC_FLAGS)
	AC_SUBST(DIALOGIC_LIBS)
])

dnl ACCONFIG TEMPLATE
dnl #undef HAVE_DIALOGIC_SDK
dnl END ACCONFIG

dnl ACCONFIG BOTTOM
dnl END ACCONFIG


dnl Copyright (C) 1999-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_ECCS,[
	ost_cv_dialogic_eccs=false
	AC_CHECK_HEADERS(d4xio.h,[
		AC_DEFINE(HAVE_D4XIO_H)
		ost_cv_dialogic_eccs=true])
])

dnl ACCONFIG TEMPLATE
dnl #undef HAVE_D4XIO_H
dnl END ACCONFIG



dnl Copyright (C) 1999-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_VPB2,[
	ost_cv_vpb2_driver=false
	AC_CHECK_HEADER(vpbapi.h,[
		AC_DEFINE(HAVE_VPBAPI_H)
		ost_cv_vpb2_driver=true
	])
])

dnl ACCONFIG TEMPLATE
dnl #undef HAVE_VPBAPI_H
dnl END ACCONFIG



dnl Copyright (C) 1999-2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_ZAPATA,[
	AC_CHECK_LIB(zap, zap_open, [
		AC_DEFINE(HAVE_ZAP_H)
		ost_cv_zapata_driver=true
	],[
		ost_cv_zapata_driver=false	
	])
])

dnl ACCONFIG TEMPLATE
dnl #undef HAVE_ZAP_H
dnl END ACCONFIG



dnl Copyright (C) 2001 Open Source Telecom Corporation.
dnl  
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl 
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl 
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software 
dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
dnl 
dnl As a special exception to the GNU General Public License, if you 
dnl distribute this file as part of a program that contains a configuration 
dnl script generated by Autoconf, you may include it under the same 
dnl distribution terms that you use for the rest of that program.

AC_DEFUN(OST_CAPI20,[
	AC_LANG_SAVE
	AC_LANG_CPLUSPLUS
	AC_CHECK_LIB(capi20, capi20_release, [
		AC_CHECK_HEADERS(capi20.h)
		AC_DEFINE(HAVE_CAPI20_H)
		ost_cv_capi20_driver=true
	],[
		ost_cv_capi20_driver=false	
	])
	AC_LANG_RESTORE
])

dnl ACCONFIG TEMPLATE
dnl #undef HAVE_LINUX_CAPI_H
dnl #undef HAVE_CAPI20_H
dnl END ACCONFIG



